# satint02.psi.ch

For detailed documentation please refer to https://access.redhat.com/documentation/en-us/red_hat_satellite/6.10/html/administering_red_hat_satellite/index

Below are the PSI specific settings and documentation.


Manually installed with RHEL7, registered directly with redhat.com through ETH Zürich.

The Satellite Server is setup with the latest version of RHEL7. The VM is connected to Netapp.
SELinux is enabled and not supported.

The Satellite Server is connected to our Active Directory.

Satellite Server has an integrated Capsule and any host that is directly connected to Satellite Server is a Client of Satellite.

Red Hat Content Delivery network is protected by x.509 cert authentication to ensure that only valid users can access it.
Directory and Structure of CDN:
```
[root@satint02 ~]# tree -d -L 11
.
├── satellite_cert
└── ssl-build
    ├── localhost
    └── satint02.psi.ch
```

After installing Satellite with the satellite-installer command, all Satellite services are started and enabled automatically. View the list of these services by executing:
```
# satellite-maintain service list
```
To see the status of running services, execute:
```
# satellite-maintain service status
```
To stop the satellite-maintain services, execute:
```
# satellite-maintain service stop
```
To start the satellite-maintain services, execute:
```
# satellite-maintain service start
```
To restart the satellite-maintain services, execute:

## Create a User
Ensure that you are logged on to the Satellite web UI as a user with administrator privileges for Satellite. 

- Navigate to Administer > Users.
- Click Create User.
- In the Login field, enter a username for the user.
- In the Firstname and Lastname fields, enter the real first name and last name of the user.
- In the Mail field, enter the user’s email address.
- In the Description field, add a description of the new user.

For CLI
```
# hammer user create \
--login user_name \
--password user_password \
--mail user_mail \
--auth-source-id 1 \
--organization-ids org_ID1,org_ID2...
```

## Assigning Roles to a User
Ensure that you are logged on to the Satellite web UI as a user with administrator privileges for Satellite. 

- Navigate to Administer > Users.
- Click the username of the user to be assigned one or more roles.
- Click the Organizations tab, and check that an organization is assigned.
- Click the Roles tab to display the list of available roles.
- Select the roles to assign from the Roles list.
- To grant all the available permissions, select the Admin check box.
- Click Submit. 

For CLI 
```
# hammer user add-role --id user_id --role role_name
```

## Managing SSH Keys for a User
Navigate to Administer > Users.
From the Username column, click on the username of the required user.
Click on the SSH Keys tab.
Add SSH key

For CLI
```
# hammer user ssh-keys add \
--user-id user_id \
--name key_name \
--key-file ~/.ssh/id_rsa.pub
```

## Monitoring

The Red Hat Satellite content dashboard contains various widgets which provide an overview of the host configuration, Content Views, compliance reports, subscriptions and hosts currently registered, promotions and synchronization, and a list of the latest notifications. 

In the GUI you can navigate to Monitor > Dashbord to see an overview. If you click a particular configuration status, you see the associated hosts.

Under Monitor > Facts you can see a combination of applications to gather information about managed hosts and to ensure that those hosts are maintained in the desired state. These applications include:
- Foreman: Provides for the provisioning and life cycle management of physical and virtual systems. Foreman automatically configures these systems using various methods, including kickstart and Puppet modules.
- Puppet: A client/server architecture for configuring hosts, consisting of the Puppet master (server) and the Puppet agent (client).
- Facter: Puppet’s system inventory tool. Facter gathers basic information (facts) about hosts such as hardware details, network settings, OS type and version, IP addresses, MAC addresses, SSH keys, and more.                         These facts are then made available in Puppet manifests as variables. 

Under Monitor > Audits there you will find a report on changes made by a specific user. 

Under Monitor > Reports >  Report Templates are there to schedule reports, you can configure a cron job or use the Satellite web UI.

- In the Satellite web UI, navigate to Monitor > Report Templates.
- To the right of the report template that you want to use, click Generate.

CLI procedure

To generate a report, complete the following steps:

List all available report templates:
```
# hammer report-template list
```
Generate a report:
```
# hammer report-template generate --id template ID
```
If you go to Monitor > Satellite Task > Task you find a overview of all tasks.


## Content

Under Content > Subscriptions you find an overview of all subscriptions and the Manifest. Satellite requires a Subscription Manifest to find, access, and download content from the corresponding repositories. 

Under Content > Red Hat Repositories you find all available rpms. Here you can choose which repos should be mirrored /enabled.

Under Content > Products you can find a list of all mirrored repositories. 

Under Content > Content Credentials here you can upload the SSL certs or GPG keys for new subscriptions.

Under Content > Sync Plans here you can see all created sync plans and you can create a new one. 

Under Content > Sync Status here you can see a detailed overview of all rpms. You can ckeck details like; Start Time, Duration, Details and Result.


Importing a Subscription Manifest into Satellite Server
Procedure

- In the Satellite web UI, ensure the context is set to the organization you want to use.
- Navigate to Content > Subscriptions and click Manage Manifest.
- In the Manage Manifest window, click Browse.
- Navigate to the location that contains the Subscription Manifest file, then click Open. If the Manage Manifest window does not close automatically, click Close to return to the Subscriptions window.

Lifecycle: this functionality is covered by repo01.

## Hosts

Under Hosts > Host you find a list of all hosts who are connected to Satellite server

Under Hosts > Discovered Hosts  Satellite can detect hosts on a network that are not in our Satellite inventory. These hosts boot the discovery image that performs hardware detection and relays this information back to Satellite Server. This method creates a list of ready-to-provision hosts in Satellite Server without needing to enter the MAC address of each host. 

Under Hosts > Create Hosts a host on the Satellite server

To create a host in Satellite

Procedure

- In the Satellite web UI, click Hosts > Create Host.
- On the Host tab, enter the required details. 
- e.g.  MAC address > Enter the MAC address.
- DNS name > Enter the DNS name that is known to the DNS server $FQDN
- Domain > Select the domain name of the provisioning network. This automatically updates the Subnet list with a selection of suitable subnets.

CLI procedure

 To create a host associated to a host group, enter the following command:
```
# hammer host create \
--name "host_name" \
--hostgroup "hostgroup_name" \
--interface="primary=true, \
            provision=true, \
            mac=mac_address, \
            ip=ip_address" \
--organization "Your_Organization" \
--location "Your_Location" \
--ask-root-password yes
```

Under Hosts > Content Hosts you find a overview of hosts and there corrent status of installable updates

Under Hosts > Register Hosts you can register a host to Satellite server

To Register a Host to Satellite server

Procedure
- Navigate to Hosts > Register Host.
- Optional: Select a different Organization.
- Optional: Select a different Location.
- Optional: From the Host Group list, select the host group to associate the hosts with. Fields that inherit value from Host group: Operating system, Activation Keys and Lifecycle environment. 



Under Hosts > Provisioning Setup you find all information from Satellite server as, Architectures, Hardeware, Installation and operating system.



## Configure

Under Configure you can make the configuration for hosts group, Puppet and Ansible. No configuration has been made there right now.

## Infrastructure

Under Infrastructure > Capsules you find information about the Capsul server who provide content federation and run localized services to discover, provision, control, and configure hosts.

Administer

Under Administer > Location you can find the Location of the organization.

Under Administer > Organization you see the details to  the registerd Organization PSI.

Under Administer > you can see that our Satellite server authentication source is AD.

Under Administer > Users here you find all registered users. Here you can also create a new user and give the user admin rights.

Under Administer > User Groups you can create user groups assign them roles and give them rights. 

Under Administer > Settings you find all configuration and information for the Satellite server.  


In case of issues with the manifest or anything else around the redhat.com account, contact **rhn@id.ethz.ch**
